package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformVideo;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformVideoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformVideoMapper {
    long countByExample(ContentPlatformVideoExample example);

    int deleteByExample(ContentPlatformVideoExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformVideo record);

    int insertSelective(ContentPlatformVideo record);

    List<ContentPlatformVideo> selectByExample(ContentPlatformVideoExample example);

    ContentPlatformVideo selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformVideo record, @Param("example") ContentPlatformVideoExample example);

    int updateByExample(@Param("record") ContentPlatformVideo record, @Param("example") ContentPlatformVideoExample example);

    int updateByPrimaryKeySelective(ContentPlatformVideo record);

    int updateByPrimaryKey(ContentPlatformVideo record);
}